Subject: Re: bug#6881: 23.2; bookmark-bmenu-search makes menu disappear

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 19 Aug 2010 17:30:23 +0200

Hi Stefan,

Stefan Monnier <[email-masked]> writes:

>> This is a bug in read-key.
>> It appears using read-char solve this problem and the key echoing one.
>
> I strongly encourage people to switch from read-char to read-key, so if
> there's a problem with read-key, I'd rather try and fix it rather than
> return to read-char.
>
> I've just installed the patch below into emacs-23 which should fix it.

Thanks to fix that so fast.

I didn't try, but that seem to fix the menu-bar problem but not the key
echoing in minibuffer that Leo have reported also.
Here on GNU/Linux, i can't reproduce it, so it's not annoying, but it
seem really annoying for OSX mac users.
It would be great read-key don't echo key in minibuffer.

-- 
Thierry Volpiatto
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997